<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <OutputType>Exe</OutputType>
    <LangVersion>8</LangVersion>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <PreBuildEvent>npm run stop</PreBuildEvent>
    <PostBuildEvent>npm run start</PostBuildEvent>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>bin\Debug\com.michal-courson.cliptrim.sdPlugin\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release\ClipTrimDotNet.sdPlugin\</OutputPath>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System.ComponentModel.Composition" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Transactions" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <PackageReference Include="CommandLineParser" Version="2.9.1" />
    <PackageReference Include="Microsoft.Bcl.AsyncInterfaces" Version="10.0.2" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="10.0.2" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="10.0.2" />
    <PackageReference Include="Microsoft.Extensions.Logging" Version="10.0.2" />
    <PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="10.0.2" />
    <PackageReference Include="Microsoft.Extensions.Options" Version="10.0.2" />
    <PackageReference Include="Microsoft.Extensions.Primitives" Version="10.0.2" />
    <PackageReference Include="Microsoft.Win32.Registry" Version="4.7.0" />
    <PackageReference Include="NAudio" Version="2.2.1" />
    <PackageReference Include="NAudio.Asio" Version="2.2.1" />
    <PackageReference Include="NAudio.Core" Version="2.2.1" />
    <PackageReference Include="NAudio.Midi" Version="2.2.1" />
    <PackageReference Include="NAudio.Wasapi" Version="2.2.1" />
    <PackageReference Include="NAudio.WinForms" Version="2.2.1" />
    <PackageReference Include="NAudio.WinMM" Version="2.2.1" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.4" />
    <PackageReference Include="NLog" Version="6.0.5" />
    <PackageReference Include="SocketIOClient" Version="4.0.0.2" />
    <PackageReference Include="SocketIOClient.Common" Version="4.0.0" />
    <PackageReference Include="SocketIOClient.Serializer" Version="4.0.0.1" />
    <PackageReference Include="SocketIOClient.Serializer.NewtonsoftJson" Version="4.0.0.1" />
    <PackageReference Include="StreamDeck-Tools" Version="6.3.2" />
    <PackageReference Include="System.Buffers" Version="4.6.1" />
    <PackageReference Include="System.Diagnostics.DiagnosticSource" Version="10.0.2" />
    <PackageReference Include="System.Drawing.Common" Version="9.0.10" />
    <PackageReference Include="System.IO" Version="4.3.0" />
    <PackageReference Include="System.IO.Pipelines" Version="10.0.2" />
    <PackageReference Include="System.Memory" Version="4.6.3" />
    <PackageReference Include="System.Numerics.Vectors" Version="4.6.1" />
    <PackageReference Include="System.Runtime" Version="4.3.0" />
    <PackageReference Include="System.Runtime.CompilerServices.Unsafe" Version="6.1.2" />
    <PackageReference Include="System.Security.AccessControl" Version="4.7.0" />
    <PackageReference Include="System.Security.Cryptography.Algorithms" Version="4.3.0" />
    <PackageReference Include="System.Security.Cryptography.Encoding" Version="4.3.0" />
    <PackageReference Include="System.Security.Cryptography.Primitives" Version="4.3.0" />
    <PackageReference Include="System.Security.Cryptography.X509Certificates" Version="4.3.0" />
    <PackageReference Include="System.Security.Principal.Windows" Version="4.7.0" />
    <PackageReference Include="System.Text.Encodings.Web" Version="10.0.2" />
    <PackageReference Include="System.Text.Json" Version="10.0.2" />
    <PackageReference Include="System.Threading.Tasks.Extensions" Version="4.6.3" />
    <PackageReference Include="System.ValueTuple" Version="4.6.1" />
  </ItemGroup>
  <ItemGroup>
    <None Update="DialLayout.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="manifest.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Content Include="!!README!!.txt" />
    <Content Include="Images\categoryIcon%402x.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\categoryIcon.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\icon%402x.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\icon.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\pluginAction%402x.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\pluginAction.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\pluginIcon%402x.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\pluginIcon.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="package.json" />
    <Content Include="PropertyInspector\profile_swticher.html">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="PropertyInspector\file_player.html">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
</Project>